// This file is part of Substrate.

// Copyright (C) 2022 Parity Technologies (UK) Ltd.
// SPDX-License-Identifier: Apache-2.0

// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

//! Autogenerated weights for forum
//!
//! THIS FILE WAS AUTO-GENERATED USING THE SUBSTRATE BENCHMARK CLI VERSION 4.0.0-dev
//! DATE: 2022-10-28, STEPS: `50`, REPEAT: 20, LOW RANGE: `[]`, HIGH RANGE: `[]`
//! EXECUTION: Some(Wasm), WASM-EXECUTION: Compiled, CHAIN: Some("dev"), DB CACHE: 1024

// Executed Command:
// ./scripts/../target/release/joystream-node
// benchmark
// pallet
// --base-path=/mnt/disks/local-ssd/
// --pallet=forum
// --extrinsic=*
// --chain=dev
// --steps=50
// --repeat=20
// --execution=wasm
// --template=./scripts/../devops/joystream-pallet-weight-template.hbs
// --output=./scripts/../runtime-modules/forum/src/weights.rs

#![cfg_attr(rustfmt, rustfmt_skip)]
#![allow(unused_parens)]
#![allow(unused_imports)]
#![allow(unused_variables)]

use frame_support::{traits::Get, weights::Weight};
use sp_std::marker::PhantomData;

/// Weight functions needed for forum.
pub trait WeightInfo {
	fn create_category(_i: u32, _j: u32, _k: u32, ) -> Weight;
	fn update_category_membership_of_moderator_new() -> Weight;
	fn update_category_membership_of_moderator_old() -> Weight;
	fn update_category_archival_status_lead(_i: u32, ) -> Weight;
	fn update_category_archival_status_moderator(_i: u32, ) -> Weight;
	fn update_category_title_lead(_i: u32, _j: u32, ) -> Weight;
	fn update_category_title_moderator(_i: u32, _j: u32, ) -> Weight;
	fn update_category_description_lead(_i: u32, _j: u32, ) -> Weight;
	fn update_category_description_moderator(_i: u32, _j: u32, ) -> Weight;
	fn delete_category_lead(_i: u32, ) -> Weight;
	fn delete_category_moderator(_i: u32, ) -> Weight;
	fn create_thread(_i: u32, _j: u32, _k: u32, ) -> Weight;
	fn edit_thread_metadata(_i: u32, _j: u32, ) -> Weight;
	fn delete_thread(_i: u32, ) -> Weight;
	fn move_thread_to_category_lead(_i: u32, ) -> Weight;
	fn move_thread_to_category_moderator(_i: u32, ) -> Weight;
	fn moderate_thread_lead(_i: u32, _k: u32, ) -> Weight;
	fn moderate_thread_moderator(_i: u32, _k: u32, ) -> Weight;
	fn add_post(_i: u32, _j: u32, ) -> Weight;
	fn edit_post_text(_i: u32, _j: u32, ) -> Weight;
	fn moderate_post_lead(_i: u32, _j: u32, ) -> Weight;
	fn moderate_post_moderator(_i: u32, _j: u32, ) -> Weight;
	fn delete_posts(_i: u32, _j: u32, _k: u32, ) -> Weight;
	fn set_stickied_threads_lead(_i: u32, _j: u32, ) -> Weight;
	fn set_stickied_threads_moderator(_i: u32, _j: u32, ) -> Weight;
}

/// Weights for forum using the Substrate node and recommended hardware.
pub struct SubstrateWeight<T>(PhantomData<T>);
impl<T: frame_system::Config> WeightInfo for SubstrateWeight<T> {
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryCounter (r:1 w:1)
	// Storage: Forum_1_1 NextCategoryId (r:1 w:1)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	fn create_category(i: u32, j: u32, k: u32, ) -> Weight {
		(22_133_000 as Weight)
			// Standard Error: 344_000
			.saturating_add((8_641_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 8_000
			.saturating_add((1_503_000 as Weight).saturating_mul(j as Weight))
			// Standard Error: 8_000
			.saturating_add((1_636_000 as Weight).saturating_mul(k as Weight))
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(3 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryByModerator (r:0 w:1)
	fn update_category_membership_of_moderator_new() -> Weight {
		(39_850_000 as Weight)
			.saturating_add(T::DbWeight::get().reads(3 as Weight))
			.saturating_add(T::DbWeight::get().writes(2 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryByModerator (r:1 w:1)
	fn update_category_membership_of_moderator_old() -> Weight {
		(41_130_000 as Weight)
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().writes(2 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	fn update_category_archival_status_lead(i: u32, ) -> Weight {
		(29_526_000 as Weight)
			// Standard Error: 31_000
			.saturating_add((4_275_000 as Weight).saturating_mul(i as Weight))
			.saturating_add(T::DbWeight::get().reads(2 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryByModerator (r:1 w:0)
	fn update_category_archival_status_moderator(i: u32, ) -> Weight {
		(27_321_000 as Weight)
			// Standard Error: 42_000
			.saturating_add((7_882_000 as Weight).saturating_mul(i as Weight))
			.saturating_add(T::DbWeight::get().reads(1 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	fn update_category_title_lead(i: u32, j: u32, ) -> Weight {
		(28_858_000 as Weight)
			// Standard Error: 110_000
			.saturating_add((4_526_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 2_000
			.saturating_add((1_260_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(2 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryByModerator (r:1 w:0)
	fn update_category_title_moderator(i: u32, j: u32, ) -> Weight {
		(28_478_000 as Weight)
			// Standard Error: 85_000
			.saturating_add((7_917_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 1_000
			.saturating_add((1_247_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(1 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	fn update_category_description_lead(i: u32, j: u32, ) -> Weight {
		(29_028_000 as Weight)
			// Standard Error: 77_000
			.saturating_add((4_510_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 1_000
			.saturating_add((1_259_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(2 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryByModerator (r:1 w:0)
	fn update_category_description_moderator(i: u32, j: u32, ) -> Weight {
		(28_376_000 as Weight)
			// Standard Error: 63_000
			.saturating_add((7_871_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 1_000
			.saturating_add((1_251_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(1 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryCounter (r:1 w:1)
	fn delete_category_lead(i: u32, ) -> Weight {
		(31_586_000 as Weight)
			// Standard Error: 160_000
			.saturating_add((5_142_000 as Weight).saturating_mul(i as Weight))
			.saturating_add(T::DbWeight::get().reads(3 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(2 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:3 w:2)
	// Storage: Forum_1_1 CategoryByModerator (r:2 w:0)
	// Storage: Forum_1_1 CategoryCounter (r:1 w:1)
	fn delete_category_moderator(i: u32, ) -> Weight {
		(29_291_000 as Weight)
			// Standard Error: 42_000
			.saturating_add((8_080_000 as Weight).saturating_mul(i as Weight))
			.saturating_add(T::DbWeight::get().reads(1 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(3 as Weight))
	}
	// Storage: Membership MembershipById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: System Account (r:2 w:2)
	// Storage: Forum_1_1 NextThreadId (r:1 w:1)
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: Forum_1_1 NextPostId (r:1 w:1)
	// Storage: Forum_1_1 PostById (r:0 w:1)
	fn create_thread(i: u32, j: u32, k: u32, ) -> Weight {
		(96_321_000 as Weight)
			// Standard Error: 345_000
			.saturating_add((7_680_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 8_000
			.saturating_add((610_000 as Weight).saturating_mul(j as Weight))
			// Standard Error: 8_000
			.saturating_add((1_693_000 as Weight).saturating_mul(k as Weight))
			.saturating_add(T::DbWeight::get().reads(6 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(7 as Weight))
	}
	// Storage: Membership MembershipById (r:1 w:0)
	// Storage: Forum_1_1 ThreadById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:0)
	fn edit_thread_metadata(i: u32, j: u32, ) -> Weight {
		(29_622_000 as Weight)
			// Standard Error: 55_000
			.saturating_add((4_635_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 1_000
			.saturating_add((733_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(2 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
	}
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Membership MembershipById (r:1 w:0)
	// Storage: System Account (r:2 w:2)
	fn delete_thread(i: u32, ) -> Weight {
		(66_086_000 as Weight)
			// Standard Error: 57_000
			.saturating_add((4_377_000 as Weight).saturating_mul(i as Weight))
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(4 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:2 w:2)
	// Storage: Forum_1_1 ThreadById (r:1 w:2)
	fn move_thread_to_category_lead(i: u32, ) -> Weight {
		(48_374_000 as Weight)
			// Standard Error: 138_000
			.saturating_add((5_455_000 as Weight).saturating_mul(i as Weight))
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(4 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:2 w:2)
	// Storage: Forum_1_1 CategoryByModerator (r:2 w:0)
	// Storage: Forum_1_1 ThreadById (r:1 w:2)
	fn move_thread_to_category_moderator(i: u32, ) -> Weight {
		(50_636_000 as Weight)
			// Standard Error: 74_000
			.saturating_add((12_010_000 as Weight).saturating_mul(i as Weight))
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(4 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn moderate_thread_lead(i: u32, k: u32, ) -> Weight {
		(60_089_000 as Weight)
			// Standard Error: 184_000
			.saturating_add((5_115_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 5_000
			.saturating_add((743_000 as Weight).saturating_mul(k as Weight))
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(3 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryByModerator (r:1 w:0)
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn moderate_thread_moderator(i: u32, k: u32, ) -> Weight {
		(59_169_000 as Weight)
			// Standard Error: 181_000
			.saturating_add((8_646_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 5_000
			.saturating_add((740_000 as Weight).saturating_mul(k as Weight))
			.saturating_add(T::DbWeight::get().reads(3 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(3 as Weight))
	}
	// Storage: Membership MembershipById (r:1 w:0)
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: Forum_1_1 CategoryById (r:1 w:0)
	// Storage: System Account (r:2 w:2)
	// Storage: Forum_1_1 NextPostId (r:1 w:1)
	// Storage: Forum_1_1 PostById (r:0 w:1)
	fn add_post(i: u32, j: u32, ) -> Weight {
		(85_914_000 as Weight)
			// Standard Error: 109_000
			.saturating_add((4_693_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 3_000
			.saturating_add((1_679_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(5 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(5 as Weight))
	}
	// Storage: Membership MembershipById (r:1 w:0)
	// Storage: Forum_1_1 ThreadById (r:1 w:0)
	// Storage: Forum_1_1 PostById (r:1 w:1)
	// Storage: Forum_1_1 CategoryById (r:1 w:0)
	fn edit_post_text(i: u32, j: u32, ) -> Weight {
		(42_885_000 as Weight)
			// Standard Error: 150_000
			.saturating_add((4_682_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 4_000
			.saturating_add((1_674_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(3 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:0)
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: Forum_1_1 PostById (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn moderate_post_lead(i: u32, j: u32, ) -> Weight {
		(72_664_000 as Weight)
			// Standard Error: 63_000
			.saturating_add((6_328_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 1_000
			.saturating_add((727_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(5 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(3 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:0)
	// Storage: Forum_1_1 CategoryByModerator (r:1 w:0)
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: Forum_1_1 PostById (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn moderate_post_moderator(i: u32, j: u32, ) -> Weight {
		(76_596_000 as Weight)
			// Standard Error: 122_000
			.saturating_add((9_194_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 3_000
			.saturating_add((726_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().writes(3 as Weight))
	}
	// Storage: Forum_1_1 ThreadById (r:1 w:1)
	// Storage: Forum_1_1 PostById (r:20 w:20)
	// Storage: Forum_1_1 CategoryById (r:1 w:0)
	// Storage: Membership MembershipById (r:1 w:0)
	// Storage: System Account (r:2 w:2)
	fn delete_posts(i: u32, j: u32, k: u32, ) -> Weight {
		(0 as Weight)
			// Standard Error: 316_000
			.saturating_add((36_264_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 8_000
			.saturating_add((739_000 as Weight).saturating_mul(j as Weight))
			// Standard Error: 56_000
			.saturating_add((49_827_000 as Weight).saturating_mul(k as Weight))
			.saturating_add(T::DbWeight::get().reads(4 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(k as Weight)))
			.saturating_add(T::DbWeight::get().writes(3 as Weight))
			.saturating_add(T::DbWeight::get().writes((1 as Weight).saturating_mul(k as Weight)))
	}
	// Storage: Instance1WorkingGroup CurrentLead (r:1 w:0)
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 ThreadById (r:20 w:0)
	fn set_stickied_threads_lead(i: u32, j: u32, ) -> Weight {
		(28_495_000 as Weight)
			// Standard Error: 66_000
			.saturating_add((4_694_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 12_000
			.saturating_add((6_976_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(2 as Weight))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(j as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
	// Storage: Instance1WorkingGroup WorkerById (r:1 w:0)
	// Storage: Forum_1_1 CategoryById (r:1 w:1)
	// Storage: Forum_1_1 CategoryByModerator (r:1 w:0)
	// Storage: Forum_1_1 ThreadById (r:20 w:0)
	fn set_stickied_threads_moderator(i: u32, j: u32, ) -> Weight {
		(26_618_000 as Weight)
			// Standard Error: 74_000
			.saturating_add((8_377_000 as Weight).saturating_mul(i as Weight))
			// Standard Error: 14_000
			.saturating_add((7_274_000 as Weight).saturating_mul(j as Weight))
			.saturating_add(T::DbWeight::get().reads(1 as Weight))
			.saturating_add(T::DbWeight::get().reads((2 as Weight).saturating_mul(i as Weight)))
			.saturating_add(T::DbWeight::get().reads((1 as Weight).saturating_mul(j as Weight)))
			.saturating_add(T::DbWeight::get().writes(1 as Weight))
	}
}

// Default implementation for tests
impl WeightInfo for () {
	fn create_category(i: u32, j: u32, k: u32, ) -> Weight {
		0
	}
	fn update_category_membership_of_moderator_new() -> Weight {
		0
	}
	fn update_category_membership_of_moderator_old() -> Weight {
		0
	}
	fn update_category_archival_status_lead(i: u32, ) -> Weight {
		0
	}
	fn update_category_archival_status_moderator(i: u32, ) -> Weight {
		0
	}
	fn update_category_title_lead(i: u32, j: u32, ) -> Weight {
		0
	}
	fn update_category_title_moderator(i: u32, j: u32, ) -> Weight {
		0
	}
	fn update_category_description_lead(i: u32, j: u32, ) -> Weight {
		0
	}
	fn update_category_description_moderator(i: u32, j: u32, ) -> Weight {
		0
	}
	fn delete_category_lead(i: u32, ) -> Weight {
		0
	}
	fn delete_category_moderator(i: u32, ) -> Weight {
		0
	}
	fn create_thread(i: u32, j: u32, k: u32, ) -> Weight {
		0
	}
	fn edit_thread_metadata(i: u32, j: u32, ) -> Weight {
		0
	}
	fn delete_thread(i: u32, ) -> Weight {
		0
	}
	fn move_thread_to_category_lead(i: u32, ) -> Weight {
		0
	}
	fn move_thread_to_category_moderator(i: u32, ) -> Weight {
		0
	}
	fn moderate_thread_lead(i: u32, k: u32, ) -> Weight {
		0
	}
	fn moderate_thread_moderator(i: u32, k: u32, ) -> Weight {
		0
	}
	fn add_post(i: u32, j: u32, ) -> Weight {
		0
	}
	fn edit_post_text(i: u32, j: u32, ) -> Weight {
		0
	}
	fn moderate_post_lead(i: u32, j: u32, ) -> Weight {
		0
	}
	fn moderate_post_moderator(i: u32, j: u32, ) -> Weight {
		0
	}
	fn delete_posts(i: u32, j: u32, k: u32, ) -> Weight {
		0
	}
	fn set_stickied_threads_lead(i: u32, j: u32, ) -> Weight {
		0
	}
	fn set_stickied_threads_moderator(i: u32, j: u32, ) -> Weight {
		0
	}
}
